#ifndef GCC_TM_H
#define GCC_TM_H
#define TARGET_CPU_DEFAULT (SELECT_SH5_32MEDIA)
#ifndef LIBC_GLIBC
# define LIBC_GLIBC 1
#endif
#ifndef LIBC_UCLIBC
# define LIBC_UCLIBC 2
#endif
#ifndef LIBC_BIONIC
# define LIBC_BIONIC 3
#endif
#ifndef SH_MULTILIB_CPU_DEFAULT
# define SH_MULTILIB_CPU_DEFAULT "m5-32media"
#endif
#ifndef SUPPORT_SH5_32MEDIA
# define SUPPORT_SH5_32MEDIA 1
#endif
#ifndef SUPPORT_SH5_32MEDIA
# define SUPPORT_SH5_32MEDIA 1
#endif
#ifndef SUPPORT_SH5_32MEDIA_NOFPU
# define SUPPORT_SH5_32MEDIA_NOFPU 1
#endif
#ifndef SUPPORT_SH5_COMPACT
# define SUPPORT_SH5_COMPACT 1
#endif
#ifndef SUPPORT_SH5_COMPACT_NOFPU
# define SUPPORT_SH5_COMPACT_NOFPU 1
#endif
#ifndef SUPPORT_SH5_64MEDIA
# define SUPPORT_SH5_64MEDIA 1
#endif
#ifndef SUPPORT_SH5_64MEDIA_NOFPU
# define SUPPORT_SH5_64MEDIA_NOFPU 1
#endif
#ifdef IN_GCC
# include "options.h"
# include "insn-constants.h"
# include "config/vxworks-dummy.h"
# include "config/sh/sh.h"
# include "config/dbxelf.h"
# include "config/elfos.h"
# include "config/sh/elf.h"
# include "config/sh/embed-elf.h"
# include "config/sh/sh64.h"
# include "config/newlib-stdint.h"
# include "sysroot-suffix.h"
# include "config/initfini-array.h"
#endif
#if defined IN_GCC && !defined GENERATOR_FILE && !defined USED_FOR_TARGET
# include "insn-flags.h"
#endif
#if defined IN_GCC && !defined GENERATOR_FILE
# include "insn-modes.h"
#endif
#if defined IN_GCC && defined GENERATOR_FILE && !defined BITS_PER_UNIT
#include "machmode.h"
#endif
# include "defaults.h"
#endif /* GCC_TM_H */
